// ------------------------------------------------------------------
// AutoRepair PACK
// can be used by any armor type
// while activated, absorbs damage at cost of energy

datablock ShapeBaseImageData(AutoRepairPackImage)
{
   shapeFile = "pack_upgrade_energy.dts";
   item = AutoRepairPack;
   mountPoint = 1;
   offset = "0 0 0";
   mass = 15;

   usesEnergy = true;
   minEnergy = 8;

   stateName[0] = "default";
   stateSequence[0] = "activation";
   stateEnergyDrain[1] = 2;
};

datablock ItemData(AutoRepairPack)
{
   className = Pack;
   catagory = "Packs";
   shapeFile = "pack_upgrade_energy.dts";
   mass = 15;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 2;
   rotate = true;
   image = "AutoRepairPackImage";
	pickUpName = "an autorepair pack";
};

function AutoRepairPackImage::onMount(%data, %obj, %node)
{
     %obj.assignEmitterObject(%obj.getWorldBoxCenter(), false, "MortarSmokeEmitter", 50);
     %obj.setRepairRate(0.000375);
}

function AutoRepairPackImage::onUnmount(%data, %obj, %node)
{
     %obj.setRepairRate(0);
     %obj.breakEmitter();
}

function AutoRepairPack::onPickup(%this, %obj, %shape, %amount)
{
	// created to prevent console errors
}

