// ------------------------------------------------------------------
// HeatShield PACK
// can be used by any armor type

datablock ShapeBaseImageData(HeatShieldPackImage)
{
   shapeFile = "pack_upgrade_Shield.dts";
   item = HeatShieldPack;
   mountPoint = 1;
   offset = "0 0 0";

   whyamIhere = "Because I Can Be!";

	stateName[0] = "default";
	stateSequence[0] = "activation";
};

datablock ItemData(HeatShieldPack)
{
   className = Pack;
   catagory = "Packs";
   shapeFile = "pack_upgrade_Shield.dts";
   mass = 1;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 2;
   rotate = true;
   image = "HeatShieldPackImage";
	pickUpName = "a heatshield pack";
};

function heatshield(%obj)
{
     if(%obj.pack $= "HeatShieldPack")
     {
          %obj.setHeat(0);
          schedule(100, 0, "heatshield", %obj);
     }
}

function HeatShieldPackImage::onMount(%data, %obj, %node)
{
     %obj.pack = "HeatShieldPack";
     heatshield(%obj);
}

function HeatShieldPackImage::onUnmount(%data, %obj, %node)
{
     %obj.pack = "";
}

function HeatShieldPack::onPickup(%this, %obj, %shape, %amount)
{
	// created to prevent console errors
}

