// VehicleAugs.cs - Augmentory system for Vehicles

// Sounds

datablock AudioProfile(AugmentVehicle)
{
   filename    = "fx/vehicles/mpb_deploy_station.wav";
   description = AudioDefault3d;
   preload = true;
};

//-------------------------------------- Load Augmentation Images
//

// Mods
exec("scripts/vehaugs/SensorJamMod.cs");
exec("scripts/vehaugs/AutoRepairMod.cs");
exec("scripts/vehaugs/HeatShieldMod.cs");
exec("scripts/vehaugs/ReactorMod.cs");

// Weapons
exec("scripts/vehaugs/ShrikeRocketMod.cs");
exec("scripts/vehaugs/ShrikeStandardMod.cs");
exec("scripts/vehaugs/ShrikeBomberMod.cs");
exec("scripts/vehaugs/ShrikeChaingunMod.cs");
exec("scripts/vehaugs/ShrikeDiscMod.cs");
exec("scripts/vehaugs/ShrikeMitziMod.cs");
exec("scripts/vehaugs/ShrikePhaserMod.cs");

