//==================================//
// Meltdown2 Setup File             //
// --------------------             //
//                                  //
// Copyright   2001-2004 DynaBlade //
//==================================//

// In order for you to understand this better, I have put this in binary.
// 0 = false or first option, 1 = true or second option.

// Message of the Day: This will appear when users connect to your server.
// This can be up to 2 lines long. This is the exact same format as T2 HTML
$MOTD = "Welcome to Meltdown2.\nFire to spawn.";

// Startup Screen Message: This is the screen where Meltdown vX.X appears with the other text.
// Again, same format as T2HTML.
$StartupScreenMSG = "Welcome to Meltdown X.";

// Misc Settings (you can change these in-game by simply typing the revised
// "string" as it's called into your console by pressing the (~) key.  Ex.
// $EasterEggs = 1; wil enable easter eggs.

$Debug = 0;                               // Debug Mode. Shows extra console messages.
$EasterEggs = 1;                          // Enable MD2 extras (unbalanced)
$Watusi = 1;                              // Warp Core Fighter (unbalanced)
$ForceDisplayVehicle = 1;                 // Force all vehicles regardless of map
$DevServer = 0;                           // Disable CTF in a CTF game (only used on MD2 dev server)

// Weapon -Modes
$ELFModes = 1;                          // Enable ELF extras (unbalanced)
$MortarModes = 1;                          // Enable Mortar extras (unbalanced)
$MissileModes = 1;                          // Enable Missile extras (unbalanced)
$TetherModes = 1;                          // Enable Tether extras (unbalanced)

// Settings that require a server restart in order to take effect

$CreatorGetsSA = 0;                       // Does DynaBlade (the creator of Meltdown2) get Super-admin access on your server?
$ForceFieldsinSiege = 0;                  // Allow forcefields in Siege games?

// Easter Egg Configuration (can be changed in real time)
$EasterEgg::Mortar::NoMortarModes         = 0;                // Enable mortar extra modes (lightning)
$EasterEgg::Water::WaterBlockSize         = "500";            // in meters
$EasterEgg::Water::WaterBlockHeight       = "8";              // in meters
$EasterEgg::Lightning::DangerZone         = "150 150 1000";   // x y z dimensions of storm in meters
$EasterEgg::Lightning::TargetHitPercent   = "0.85";           // out of 1.0 or 100%
$EasterEgg::Lightning::StrikesPerMinute   = "60";
$EasterEgg::Meteors::DangerRadius         = "150";            // in meters
$EasterEgg::Meteors::StrikesPerMinute     = "80";
$EasterEgg::PopTime::PopTimeNormalFX      = 30;               // in seconds
$EasterEgg::PopTime::PopTimeJello         = 60;

// Base Deployables

$TeamDeployableMax[InventoryDeployable]      = 5;
$TeamDeployableMax[TurretIndoorDeployable]   = 10;
$TeamDeployableMax[TurretOutdoorDeployable]  = 10;
$TeamDeployableMax[PulseSensorDeployable]    = 15;
$TeamDeployableMax[MotionSensorDeployable]   = 15;

$TeamDeployableMin[TurretIndoorDeployable] = 6;
$TeamDeployableMin[TurretOutdoorDeployable] = 6;

// Meltdown Deployables
$TeamDeployableMax[ForceFieldDeployable] = 10;
$TeamDeployableMax[ForceFieldNoPassDeployable] = 10;
$TeamDeployableMax[VehiclePadPack] = 1;
$TeamDeployableMax[TurretBasePack] = 5;
$TeamDeployableMax[TelePack] = 2;
$TeamDeployableMax[DeployableInvHumanPack] = 3;
$TeamDeployableMax[DefenderDesignator] = 3;
$TeamDeployableMin[DefenderDesignator] = 3;
$TeamDeployableMax[DetPack] = 3;
// Vehicle
$TeamDeployableMax[WildcatPack] = 15;






